<<

# sanitycheck.pl

- NAME
- SYNOPSIS
- OPTIONS
- DESCRIPTION

# NAME

sanitycheck.pl - Perl script to perform a sanity check at the command line

# SYNOPSIS

     ./sanitycheck.pl [--help]
     ./sanitycheck.pl [--verbose] --login <user@domain.com>

# OPTIONS

--help

  Displays this help text

--verbose

  Causes this script to be more verbose in its output. Without this option, the script will return only errors. With the option, the script will append all output to the email.

--login

  This should be passed the email address of a user that is capable of running the Sanity Check process, a user with the editcomponents priv. This user will receive an email with the results of the script run.

# DESCRIPTION

This script provides a way of running a 'Sanity Check' on the database via either a CLI or cron. It is equivalent to calling sanitycheck.cgi via a web browser.

<<